/* Transform.C: Transform nodes (public source) */

#include "Transform.H"
#include "renderer.H"

namespace xrml {

void Transform::addChildren(const MFNode&)
{
  Warning(NULL, "Transform::addChildren(): not yet implemented");
}

void Transform::removeChildren(const MFNode&)
{
  Warning(NULL, "Transform::removeChildren(): not yet implemented");
}

void Transform::render(void)
{
  world->renderer->begin_Transform(this);
  Grouping::render();
  world->renderer->end_Transform(this);
}


}  // namespace xrml
